%global pypi_name django-guid
%global module_name django_guid
%global commitId 6b535cba21d9fc3f600c28e89bb9bae90f105488

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.3.0
Release:        3%{?dist}
Summary:        Middleware that enables single request-response cycle tracing by injecting a unique ID into project logs

License:        BSD
URL:            https://github.com/snok/django-guid
Source0:        python-django-guid-6b535cba21d9fc3f600c28e89bb9bae90f105488.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-pip
BuildRequires:  python%{python3_pkgversion}-poetry-core >= 1.0.0
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-wheel

%description
Django GUID attaches a unique correlation ID/request ID to all your log outputs
for every request.
In other words, all logs connected to a request now has a unique ID attached to
it, making debugging simple.

%package -n     python%{python3_pkgversion}-%{pypi_name}

Summary:        Middleware that enables single request-response cycle tracing by injecting a unique ID into project logs

Requires:       python%{python3_pkgversion}-django >= 3.1.1
Requires:       python%{python3_pkgversion}-django < 5.0

%description -n python%{python3_pkgversion}-%{pypi_name}
Django GUID attaches a unique correlation ID/request ID to all your log outputs
for every request.
In other words, all logs connected to a request now has a unique ID attached to
it, making debugging simple.

%prep
%autosetup -n python-%{pypi_name}-%{commitId}
sed -i -e "s/poetry.masonry.api/poetry.core.masonry.api/" pyproject.toml

%build
%{__python3} -m pip wheel --wheel-dir %{_builddir}/wheel --no-deps --use-pep517 --no-build-isolation --disable-pip-version-check --no-clean --progress-bar off --verbose .

%install
%{__python3} -m pip install --root %{buildroot} --no-deps --disable-pip-version-check --progress-bar off --verbose --ignore-installed --no-warn-script-location --no-index --no-cache-dir --find-links %{_builddir}/wheel %{pypi_name}==%{version}
sed -i 's/pip/rpm/' %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/INSTALLER
rm -fv %{buildroot}/%{python3_sitelib}/%{module_name}-%{version}.dist-info/{RECORD,REQUESTED}
rm -fv %{buildroot}/%{python3_sitelib}/CHANGELOG.rst

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc CHANGELOG.rst docs/README_PYPI.rst README.rst
%license LICENSE
%{python3_sitelib}/%{module_name}
%{python3_sitelib}/%{module_name}-%{version}.dist-info

%changelog
* Tue Jul 25 2023 Satoe Imaishi <simaishi@redhat.com> - 3.3.0-3
- Fix django version constraint, drop Obsolete

* Fri Aug 26 2022 Dimitri Savineau <dsavinea@redhat.com> 3.3.0-2
- Obsolete the old Python 3.8 package for smooth upgrade

* Wed Aug 24 2022 Dimitri Savineau <dsavinea@redhat.com> 3.3.0-1
- Initial release
